Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.bridge.bmp.jdbc
Interface SmartConnectionPool

public interface SmartConnectionPool

Defines the interface for Application Server independent connection pooling. This allows for specification of Connection objects at deployment time.

Method Summary
`Connection` | `getConnection()` Returns the SQL Connection for this Transaction.
`void` | `releaseConnection(Connection connection)` Releases the SQL Connection for this Transaction.
`void` | `setJNDIContext(Context JNDIContext)` Inform provider of ejbContext.

Method Detail

### setJNDIContext

    public void setJNDIContext(Context JNDIContext)
                        throws BMPException

  Inform provider of ejbContext. The implementation of this interface has have a public, default no-args constructor. The provider relies on properties in the bean's deployment descriptor as documented in a provider or Theory Center specified protocol.

    `BMPException`

### getConnection

    public Connection getConnection()
                             throws BMPException

  Returns the SQL Connection for this Transaction. The actual implementation may choose to implement connection pooling etc.

  Returns:
    conn Connection object.
  Throws:
    `BMPException` - implementation specific exception occurred

### releaseConnection

    public void releaseConnection(Connection connection)
                           throws BMPException

  Releases the SQL Connection for this Transaction.

  Throws:
    `BMPException` - implementation specific exception occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved